# Command-Line Help for `complate`

This document contains the help content for the `complate` command-line program.

**Command Overview:**

* [`complate`↴](#complate)
* [`complate man`↴](#complate-man)
* [`complate autocomplete`↴](#complate-autocomplete)
* [`complate init`↴](#complate-init)
* [`complate render`↴](#complate-render)

## `complate`

A rusty text templating application for CLIs.

**Usage:** `complate [OPTIONS] <COMMAND>`

###### **Subcommands:**

* `man` — Renders the manual.
* `autocomplete` — Renders shell completion scripts.
* `init` — Initializes a dummy default configuration in "./.complate/config.yaml".
* `render` — Renders a template by replacing values as specified by the configuration.

###### **Options:**

* `-e`, `--experimental <EXPERIMENTAL>` — enables experimental features



## `complate man`

Renders the manual.

**Usage:** `complate man --out <out> --format <format>`

###### **Options:**

* `-o`, `--out <OUT>`
* `-f`, `--format <FORMAT>`

  Possible values: `manpages`, `markdown`




## `complate autocomplete`

Renders shell completion scripts.

**Usage:** `complate autocomplete --out <out> --shell <shell>`

###### **Options:**

* `-o`, `--out <OUT>`
* `-s`, `--shell <SHELL>`

  Possible values: `bash`, `zsh`, `fish`, `elvish`, `powershell`




## `complate init`

Initializes a dummy default configuration in "./.complate/config.yaml".

**Usage:** `complate init`



## `complate render`

Renders a template by replacing values as specified by the configuration.

**Usage:** `complate render [OPTIONS]`

###### **Options:**

* `-c`, `--config <CONFIG>` — The configuration file to use.

  Default value: `./.complate/config.yaml`
* `-t`, `--template <TEMPLATE>` — Specify the template to use from the config and skip it's selection.
* `--trust` — Enables the shell command execution. This is potentially insecure and should only be done for trustworthy sources.
* `-l`, `--loose` — Defines that the templating is done in non-strict mode (allow missing value for variable).
* `-b`, `--backend <BACKEND>` — The execution backend (cli=native-terminal, ui=ui emulator in terminal).

  Default value: `cli`

  Possible values: `cli`

* `-v`, `--value <VALUE>` — Overrides a certain value definition with a string.



<hr/>

<small><i>
    This document was generated automatically by
    <a href="https://crates.io/crates/clap-markdown"><code>clap-markdown</code></a>.
</i></small>
